Security Enhanced Linux Reference Policy

# Layer: apps

## Module: java

Tunables Interfaces Templates

### Description:

Java virtual machine

### Tunables:

allow_java_execstack

##### Default value

false

##### Description

Allow java executable stack

Return

### Interfaces:

java_domtrans_unconfined( domain )

##### Summary

Execute the java program in the unconfined java domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

java_role( role , domain )

##### Summary

Role access for java

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

java_run_unconfined( domain , role )

##### Summary

Execute the java program in the unconfined java domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

Return

### Templates:

java_domtrans( domain )

##### Summary

Run java in javaplugin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return